2019-10-14 10:44 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001594FSSCPturretspublic2008-04-04 03:16
ReporterGalemp 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001594: Animation Features and Flags not working on player ships
DescriptionTurrets mounted on player ships always fire one firepoint at a time, even when defined with the "Use Multiple Guns" flag in the ships.tbl entry.
Additionally, the turret initial rotation animation settings do not function on the player ship.
Additional InformationThis may be attributable to the player changing ship classes in the loadout.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009107

taylor (administrator)

Can you provide some data for me to test with?

I'm pretty sure that I've got the animation thing fixed, but just from the code I don't see any reason that the firepoints wouldn't work as expected.

~0009121

Galemp (reporter)

Well, it ought to work on the Medusa. I have a model with a jumbo-sized version of the Medusa turret that I can post if you think it's too small and close together to tell whether or not it's firing both cannons. Adding the "Use Multiple Guns" flag to the turret weapon (Prom R IIRC) will let you test it, and it already has turret initial rotation code built into the MVP TBM.

~0009128

Galemp (reporter)

I uploaded a test POF for you. The gun barrels are supposed to start out pointing straight forward, and fire both cannon simultaneously. It's formatted for default FS2 weapons so go ahead and plop it in there (I don't have the hang of .tbms yet.)

~0009131

taylor (administrator)

Everything works for me. The ship didn't fire properly with "use multiple guns" at first, but then I realized that only one primary bank had a weapon in it, so that was just a tbl issue.

I'll commit the changes later today.

~0009132

Galemp (reporter)

Wait, you need to specify two weapons if the turret has two firepoints? Will they fire in tandem, as if they were player-controlled forward-facing firepoints? There is precious little documentation and no examples of a successful use of this feature on the Wiki.

~0009133

taylor (administrator)

Yeah, "use multiple guns" governs shooting multiple weapons per turret. It doesn't have anything to do with just firepoints. If you have one weapon specified and multiple firepoints then it will only alternate between firepoints. If you've got multiple weapons specified (up to the number of firepoints) then it will fire all of them with "use multiple guns", sort of like how it works with normal fighters. It doesn't fire all of them at exactly the same time, but it's pretty close.

~0009135

Galemp (reporter)

Conversation moved to this thread: http://www.hard-light.net/forums/index.php/topic,53084.new.html

You can mark this as resolved if it seems to work.

~0009176

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-02-11 01:00 Galemp New Issue
2008-03-31 05:51 taylor Note Added: 0009107
2008-03-31 19:02 taylor Status new => assigned
2008-03-31 19:02 taylor Assigned To => taylor
2008-03-31 19:19 Galemp Note Added: 0009121
2008-04-01 01:28 Galemp File Added: skipray.zip
2008-04-01 01:30 Galemp Note Added: 0009128
2008-04-01 09:55 taylor Note Added: 0009131
2008-04-01 12:58 Galemp Note Added: 0009132
2008-04-01 14:12 taylor Note Added: 0009133
2008-04-01 14:56 Galemp Note Added: 0009135
2008-04-04 03:16 taylor Status assigned => resolved
2008-04-04 03:16 taylor Fixed in Version => 3.6.10
2008-04-04 03:16 taylor Resolution open => fixed
2008-04-04 03:16 taylor Note Added: 0009176
+Issue History